List Payments
GET
/v1/payments
const url = 'https://api.parasta.io/v1/payments?status=pending&network=POLYGON&limit=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.parasta.io/v1/payments?status=pending&network=POLYGON&limit=20' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” status
string
network
string
created_gte
string format: date-time
created_lte
string format: date-time
limit
integer
cursor
string
Responses
Section titled “ Responses ”Paginated list
Media type application/json
object
data
Array<object>
object
id
required
string
amount
required
Smallest unit
integer format: int64
currency
required
string
network
required
string
status
required
string
pay_address
required
string
expires_at
required
string format: date-time
settlement
object
mode
required
Coin = keep crypto; fiat = exchange to fiat (USD/KRW/IDR) at confirmation; splits = mixed
string
fiat
Required when mode=fiat. Selects the fiat currency and the destination bank account.
object
currency
required
string
account
required
Bank account ID for the chosen fiat currency
string
splits
Array<object>
object
destination
required
string
fiat
Required when destination=fiat.
object
currency
required
string
account
required
string
percent
required
number
metadata
object
key
additional properties
string
created
string format: date-time
has_more
boolean
next_cursor
string | null
Example
{ "data": [ { "id": "pi_abc123", "currency": "USDT", "network": "POLYGON", "status": "pending", "pay_address": "0x1234...abcd", "settlement": { "mode": "coin", "fiat": { "currency": "USD", "account": "kacct_abc123" }, "splits": [ { "destination": "coin", "fiat": { "currency": "USD" } } ] } } ]}